<html lang="pt-br">
    <head>
        <meta charset="utf-8">
        <title> JavaScript + HTML</title>
        <script src="principal.js"></script>
    </head>
    <body>
        <div style="display:flex; gap:2em">
            <ol>
                <li><a 
                    href="https://developer.mozilla.org/pt-BR/docs/Learn/JavaScript/First_steps/Arrays"
                    target="_blank">
                    Vetores</a></li>
                <li>JavaScript e DOM</li>
                <li>Funções</li>
                <li>Estruturas de Decisão</li>
                <li>Estruturas de Repetição</li>
                <li>Array map</li>
                <li>Array reduce</li>
            </ol>
            <div>
                <div id="colorida" style="width: 100%; height: 3em"></div>
                <div id="paragrafos"><p>primeiro parágrafo <span></span></p><p>segundo parágrafo</p></div>
                <div id="inputs">
                    <input type="text" name="meu_texto" id="meu_texto"> <!-- onblur="muda_texto()" -->
                </div>
                <ul id="minha_lista">

                </ul>
            </div>
        </div>  
    </body>
</html>